aboutsummaryrefslogtreecommitdiffstats
path: root/tools/testing/selftests/rcutorture/bin/kvm.sh
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2020-11-26 15:27:57 -0800
committerPaul E. McKenney <paulmck@kernel.org>2021-01-04 14:01:22 -0800
commit0beb394878a46bad6358f81dde2ef4aa0ef68af5 (patch)
treee75d8dc57903957907ea9a9818470f492725ef34 /tools/testing/selftests/rcutorture/bin/kvm.sh
parenttorture: Make kvm.sh include --kconfig arguments in CPU calculation (diff)
downloadlinux-dev-0beb394878a46bad6358f81dde2ef4aa0ef68af5.tar.xz
linux-dev-0beb394878a46bad6358f81dde2ef4aa0ef68af5.zip
torture: Add kvm.sh test summary to end of log file
This commit adds the test summary to the end of the log in the top-level directory containing the kvm.sh test artifacts. While in the area, it adds the kvm.sh exit code to this test summary. Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Diffstat (limited to 'tools/testing/selftests/rcutorture/bin/kvm.sh')
-rwxr-xr-xtools/testing/selftests/rcutorture/bin/kvm.sh19
1 files changed, 11 insertions, 8 deletions
diff --git a/tools/testing/selftests/rcutorture/bin/kvm.sh b/tools/testing/selftests/rcutorture/bin/kvm.sh
index 472929cb8312..667896f9c0d4 100755
--- a/tools/testing/selftests/rcutorture/bin/kvm.sh
+++ b/tools/testing/selftests/rcutorture/bin/kvm.sh
@@ -527,15 +527,18 @@ END {
}' >> $T/script
cat << '___EOF___' >> $T/script
-echo
-echo
-echo " --- `date` Test summary:"
+echo | tee -a $TORTURE_RESDIR/log
+echo | tee -a $TORTURE_RESDIR/log
+echo " --- `date` Test summary:" | tee -a $TORTURE_RESDIR/log
___EOF___
cat << ___EOF___ >> $T/script
-echo Results directory: $resdir/$ds
-kcsan-collapse.sh $resdir/$ds
-kvm-recheck.sh $resdir/$ds
+echo Results directory: $resdir/$ds | tee -a $resdir/$ds/log
+kcsan-collapse.sh $resdir/$ds | tee -a $resdir/$ds/log
+kvm-recheck.sh $resdir/$ds > $T/kvm-recheck.sh.out 2>&1
___EOF___
+echo 'ret=$?' >> $T/script
+echo "cat $T/kvm-recheck.sh.out | tee -a $resdir/$ds/log" >> $T/script
+echo 'exit $ret' >> $T/script
if test "$dryrun" = script
then
@@ -556,9 +559,9 @@ then
exit 0
else
# Not a dryrun, so run the script.
- sh $T/script
+ bash $T/script
ret=$?
- echo " --- Done at `date` (`get_starttime_duration $starttime`)"
+ echo " --- Done at `date` (`get_starttime_duration $starttime`) exitcode $ret" | tee -a $resdir/$ds/log
exit $ret
fi